<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;
use CodeIgniter\Database\RawSql;

class WikiSectionRolesMigration extends Migration
{
    protected array $COLUMNS = [

        'id' =>  [
            'type' => 'INT',
            'unsigned' => true,
            'auto_increment' => true,
        ],
        'wiki_section_id' => [
            'type' => 'INT',
            'unsigned' => true,
        ],
        'role' => [
            'type' => 'VARCHAR',
            'constraint' => 255,
            'default' => 'admin'
        ],


    ];

    public function up()
    {
        $this->forge->addField($this->COLUMNS);
        $currenttime = new RawSql('CURRENT_TIMESTAMP');
        $this->forge->addField([
            'created_at' => [
                'type' => 'TIMESTAMP',
                'default' => $currenttime,

            ],
            'updated_at' => [
                'type' => 'TIMESTAMP',
                'null' => true,

            ],
            'deleted_at' => [
                'type' => 'TIMESTAMP',
                'null' => true,

            ],
        ]);
        $this->forge->addPrimaryKey('id');
        $this->forge->addForeignKey('wiki_section_id','wiki_sections','id');
        $this->forge->createTable("wiki_section_roles");
    }

    public function down()
    {
        $this->forge->dropTable("wiki_section_roles");
    }
}
